Bug 221570 - Fn+Home (change LCD brightness) crashes X on Thinkpad T60
Fn+Home (change LCD brightness) crashes X on Thinkpad T60
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-ati (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2007-01-05 05:06 EST by Fai Wong
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-16 08:38:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 2000 None None None Never

  None (edit)
Description Fai Wong 2007-01-05 05:06:32 EST
Description of problem:
The function key for tuning LCD panel (Fn+Home) on ThinkPad T60
will always crashes X.org under FC6 and RHEL 5 beta 2

Version-Release number of selected component (if applicable):

How reproducible:
Always producible

Steps to Reproduce:
1. Boot to kernel-xen (version 2.6.18-2747-el5xen)
2. Wait until gdm login screen appears
3. Press "Fn"+"End" to tune the LCD panel a bit darker
4. Press "Fn"+"Home" to tune the LCD panel a bit brighter
5. It will crash at once
Comment 1 Matěj Cepl 2007-01-10 14:47:43 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Jindrich Novy 2007-04-04 01:38:07 EDT
The Fn+Home event crashes X even with the normal non-xen kernel. Ubuntu says
it's caused by the broken video kernel module and blacklisting it solves the


It's needed to say that that removing the video module (at least on FC6) causes
the acpi events from the Fn+Home keys not to be processed at all, what is not
really a fix. It gives some clue though.

It crashes regardless the X is in the VESA mode or with the fglrx binary drivers
Comment 3 Matěj Cepl 2007-04-04 08:54:47 EDT
Are we talking about this
https://bugs.freedesktop.org/show_bug.cgi?id=2000 ?

Does adding this option to /etc/X11/xorg.conf, the device section makes things work?

    Option      "BIOSHotkeys" "on"
Comment 4 Jindrich Novy 2007-04-04 09:30:16 EDT
Adding this option to the "Device" section did not help.

X still keeps crashing with Fn+Home, sorry. The bug on freedesktop doesn't seem
to be related as the problem described there is reported for T42 and Fn+F7
(switch to the external monitor) and Fn+F7 doesn't crash X on my T60.

Thanks for the effort.
Comment 5 Fai Wong 2007-04-04 10:08:45 EDT
A new BIOS released several weeks ago for T60/T60p, and after updating the BIOS,
the problem changed.
Before: Fn+Home = crash
Now: Fn+End = crash
Even with BiosHotKeys option.
Moreover, the problem only exist with Xorg driver, if use fglrx, it is OK.
Comment 6 Jindrich Novy 2007-04-04 10:54:45 EDT
Could you please attach your xorg.conf here so that I see what is different in
my setup? My T60 keeps crashing even with fglrx.
Comment 7 Matěj Cepl 2007-07-11 17:27:45 EDT
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version of their distribution

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.
Comment 8 Tim Niemueller 2007-07-16 07:04:32 EDT
On a Thinkpad T60 the problem does *not* occur any longer. The bug seems to be
Comment 9 Matěj Cepl 2007-07-16 08:38:55 EDT
Thank you very much, closing per repoter's information.

Note You need to log in before you can comment on or make changes to this bug.